name: Word Stat++ Tests

on:
  push:
  pull_request:

jobs:
  test:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout code
        uses: actions/checkout@v4

      - name: Compile Java
        run: |
          mkdir -p out
          javac -d out $(find java -name "*.java")

      - name: Run Word Stat++ tests
        run: |
          java -ea -cp out wspp.WsppTest Base 3233 3435 3637 3839 4142 4749
